Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticTypesUnaryExpressionHelper

- org.codehaus.groovy.classgen.asm.sc.StaticTypesUnaryExpressionHelper

-     public class StaticTypesUnaryExpressionHelper
      extends UnaryExpressionHelper

  An expression helper which generates optimized bytecode depending on the current type on top of the operand stack.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class UnaryExpressionHelper` | `controller`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticTypesUnaryExpressionHelper(WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `writeBitwiseNegate(BitwiseNegationExpression expression)`
    `` | `public void` | `writeNotExpression(NotExpression expression)`
    `` | `public void` | `writeUnaryMinus(UnaryMinusExpression expression)`
    `` | `public void` | `writeUnaryPlus(UnaryPlusExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class UnaryExpressionHelper` | `writeBitwiseNegate, writeNotExpression, writeUnaryMinus, writeUnaryPlus`

- - ### Constructor Detail

    - #### public StaticTypesUnaryExpressionHelper(WriterController controller)

  - ### Method Detail

    - #### @Override
      public void writeBitwiseNegate(BitwiseNegationExpression expression)

    - #### @Override
      public void writeNotExpression(NotExpression expression)

    - #### @Override
      public void writeUnaryMinus(UnaryMinusExpression expression)

    - #### @Override
      public void writeUnaryPlus(UnaryPlusExpression expression)